use rand::Rng;
use std::cmp::Ordering;
use std::io;

fn main() {
    println!("Zgadnij liczbę!");

    let secret_number = rand::thread_rng().gen_range(1..=100);

    // ANCHOR: here
    // --fragment pominięty--

    println!("Sekretna liczba to: {secret_number}");

    loop {
        println!("Wpisz swój typ.");

        // --fragment pominięty--

        // ANCHOR_END: here

        let mut guess = String::new();

        io::stdin()
            .read_line(&mut guess)
            .expect("Nie udało się odczytać linii");

        let guess: u32 = guess.trim().parse().expect("Wpisz swój typ!");

        println!("Twój typ to: {guess}");

        // ANCHOR: here
        match guess.cmp(&secret_number) {
            Ordering::Less => println!("Za mała liczba!"),
            Ordering::Greater => println!("Za duża liczba!"),
            Ordering::Equal => println!("Zgadłeś!"),
        }
    }
}
// ANCHOR_END: here
